#pragma once
#include "clog.h"
#include "export_log_impl.h"
namespace lp {
class LOG_IMPL_EXPORT CDebugLogger : public ILogger
{
public:
    bool Init(bool bEnabledLog, int nSaveDay, int nSegmentSize) override;
    bool UnInit() override;
    void AddLog(ELogType type, const std::string& info) override;
    void AddLog(ELogType type, const std::string& info, const char* sFile, int iLine) override;
    void AddLog(ILogST& stLog, const std::string& moduleName, const std::string& sFileName, int line, EWriteMode eWritype = kAsync) override;

    void SetLogLevel(ELogType eType) override;

    void AddLog(const std::string& info, const std::string& moduleName) override;

private:
    bool m_bEnabledLog = true;
    ELogType m_eLogType = ELogType::kDebug;
};
}
